Update Custom Price
curl --request PUT \
--url https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/price \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"price": 123
}'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({price: 123})
};
fetch('https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/price"
payload = { "price": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Passes > Pass Payment
Update Custom Price
Update pass custom price
Update the custom price of a pass with the given pass type identifier and serial number.
Parameters:
price: New price to be set.lpass: Pass object, automatically resolved from the request.
Returns:
JSONResponse: A response indicating the success of the price update.
PUT
/
v2
/
passes
/
{passTypeIdentifier}
/
{serialNumber}
/
price
Update Custom Price
curl --request PUT \
--url https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/price \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"price": 123
}'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({price: 123})
};
fetch('https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/price"
payload = { "price": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Headers
Query Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Response
Successful Response
